$AdfDhtmlSelectManyPeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlSelectManyPeer$$$$$GetSubIdDomElement$$($subElementId$$58$$) {
  $AdfAssert$$.$assertNonEmptyString$($subElementId$$58$$);
  var $cb$$11_component$$2462_inputElements$$5_selectItemsDom$$ = this.$getComponent$(), $domElem$$16_valueStr$$ = $AdfDhtmlSelectManyPeer$$.$superclass$.$GetSubIdDomElement$.call(this, $subElementId$$58$$);
  if ($domElem$$16_valueStr$$) {
    return "label" == $subElementId$$58$$ && ($cb$$11_component$$2462_inputElements$$5_selectItemsDom$$ = this.$GetSelectItemsParentDomElement$($cb$$11_component$$2462_inputElements$$5_selectItemsDom$$)) && $AdfDomUtils$$.$isAncestor$($cb$$11_component$$2462_inputElements$$5_selectItemsDom$$, $domElem$$16_valueStr$$) && ($domElem$$16_valueStr$$ = null), $domElem$$16_valueStr$$;
  }
  if ("item[" == $subElementId$$58$$.substr(0, 5)) {
    if ($domElem$$16_valueStr$$ = $subElementId$$58$$.substring(5, $subElementId$$58$$.lastIndexOf("]")), $cb$$11_component$$2462_inputElements$$5_selectItemsDom$$ = this.$GetCheckboxes$($cb$$11_component$$2462_inputElements$$5_selectItemsDom$$, this.$getDomElement$())) {
      return $AdfDhtmlSelectManyPeer$$.$GetElementByAttributeValue$($cb$$11_component$$2462_inputElements$$5_selectItemsDom$$, "value", $domElem$$16_valueStr$$);
    }
  } else {
    if ("item-label[" == $subElementId$$58$$.substr(0, 11) && ($domElem$$16_valueStr$$ = $subElementId$$58$$.substring(11, $subElementId$$58$$.lastIndexOf("]")), $cb$$11_component$$2462_inputElements$$5_selectItemsDom$$ = this.$GetCheckboxes$($cb$$11_component$$2462_inputElements$$5_selectItemsDom$$, this.$getDomElement$()))) {
      return ($cb$$11_component$$2462_inputElements$$5_selectItemsDom$$ = $AdfDhtmlSelectManyPeer$$.$GetElementByAttributeValue$($cb$$11_component$$2462_inputElements$$5_selectItemsDom$$, "value", $domElem$$16_valueStr$$)) ? $AdfDhtmlEditableValuePeer$$.$GetLabelElement$($cb$$11_component$$2462_inputElements$$5_selectItemsDom$$) : null;
    }
  }
  return null;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlSelectManyPeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlSelectManyPeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlSelectManyPeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlSelectManyPeer$$$$$GetBestMatchSubId$$($domElement$$687$$) {
  for (var $component$$2463_inputElements$$6$$ = this.$getComponent$(), $component$$2463_inputElements$$6$$ = this.$GetCheckboxes$($component$$2463_inputElements$$6$$, this.$getDomElement$()), $i$$763$$ = 0;$i$$763$$ < $component$$2463_inputElements$$6$$.length;$i$$763$$++) {
    var $cb$$12$$ = $component$$2463_inputElements$$6$$[$i$$763$$];
    if ("INPUT" == $domElement$$687$$.tagName) {
      if ($cb$$12$$ === $domElement$$687$$) {
        return "item[" + $cb$$12$$.getAttribute("value") + "]";
      }
    } else {
      if ("LABEL" == $domElement$$687$$.tagName && $AdfDhtmlEditableValuePeer$$.$GetLabelElement$($cb$$12$$) == $domElement$$687$$) {
        return "item-label[" + $cb$$12$$.getAttribute("value") + "]";
      }
    }
  }
  return $AdfSubIdUtils$$.$getBestMatchSubIdDelegateSuper$($domElement$$687$$, this, $AdfDhtmlSelectManyPeer$$.$_SUB_ID_MAP$, $AdfDhtmlSelectManyPeer$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlSelectManyPeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlSelectManyPeer$$.prototype.$GetBestMatchSubId$});
